add set -e back to primary script - oops
diff --git a/tool/travis-setup.sh b/tool/travis-setup.sh
old mode 100755
new mode 100644
diff --git a/tool/travis.sh b/tool/travis.sh
index 8c7ba0f..0374d89 100755
--- a/tool/travis.sh
+++ b/tool/travis.sh
@@ -4,6 +4,8 @@
 # for details. All rights reserved. Use of this source code is governed by a
 # BSD-style license that can be found in the LICENSE file.
 
+set -e
+
 # Verify that the libraries are error free.
 dartanalyzer --fatal-warnings .